aboutsummaryrefslogtreecommitdiffstats
path: root/dtc/tests/dtc-fatal.sh
diff options
context:
space:
mode:
authorfishsoupisgood <github@madingley.org>2019-04-29 01:17:54 +0100
committerfishsoupisgood <github@madingley.org>2019-05-27 03:43:43 +0100
commit3f2546b2ef55b661fd8dd69682b38992225e86f6 (patch)
tree65ca85f13617aee1dce474596800950f266a456c /dtc/tests/dtc-fatal.sh
downloadqemu-master.tar.gz
qemu-master.tar.bz2
qemu-master.zip
Initial import of qemu-2.4.1HEADmaster
Diffstat (limited to 'dtc/tests/dtc-fatal.sh')
-rw-r--r--dtc/tests/dtc-fatal.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/dtc/tests/dtc-fatal.sh b/dtc/tests/dtc-fatal.sh
new file mode 100644
index 00000000..6781ced9
--- /dev/null
+++ b/dtc/tests/dtc-fatal.sh
@@ -0,0 +1,14 @@
+#! /bin/sh
+
+. ./tests.sh
+
+verbose_run $VALGRIND "$DTC" -o/dev/null "$@"
+ret="$?"
+
+if [ "$ret" -gt 127 ]; then
+ FAIL "dtc killed by signal (ret=$ret)"
+elif [ "$ret" != "1" ]; then
+ FAIL "dtc returned incorrect status $ret instead of 1"
+fi
+
+PASS